> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses brandcover



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/brand/cover
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/brand/cover:
    post:
      tags:
        - Businesses
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                AltText:
                  type: string
                FileName:
                  type: string
                ContentType:
                  type: string
                Stream.CanRead:
                  type: boolean
                Stream.CanWrite:
                  type: boolean
                Stream.CanSeek:
                  type: boolean
                Stream.CanTimeout:
                  type: boolean
                Stream.Length:
                  type: integer
                  format: int64
                Stream.Position:
                  type: integer
                  format: int64
                Stream.ReadTimeout:
                  type: integer
                  format: int32
                Stream.WriteTimeout:
                  type: integer
                  format: int32
                Base64:
                  type: string
                Url:
                  type: string
                file:
                  type: string
                  format: binary
                Note:
                  type: string
            encoding:
              AltText:
                style: form
              FileName:
                style: form
              ContentType:
                style: form
              Stream.CanRead:
                style: form
              Stream.CanWrite:
                style: form
              Stream.CanSeek:
                style: form
              Stream.CanTimeout:
                style: form
              Stream.Length:
                style: form
              Stream.Position:
                style: form
              Stream.ReadTimeout:
                style: form
              Stream.WriteTimeout:
                style: form
              Base64:
                style: form
              Url:
                style: form
              file:
                style: form
              Note:
                style: form
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BusinessSBBusinessBrandResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSBBusinessBrandResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/BusinessSBBusinessBrandResponse'
        '400':
          description: Bad Request
components:
  schemas:
    BusinessSBBusinessBrandResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        logo:
          type: string
          nullable: true
        icon:
          type: string
          nullable: true
        coverImage:
          type: string
          nullable: true
        primaryColor:
          type: string
          nullable: true
        secondaryColor:
          type: string
          nullable: true
        facebook:
          type: string
          nullable: true
        instagram:
          type: string
          nullable: true
        linkedIn:
          type: string
          nullable: true
        twitter:
          type: string
          nullable: true
        youTube:
          type: string
          nullable: true
        tikTok:
          type: string
          nullable: true
        googleAnalyticsId:
          type: string
          nullable: true
        gtmId:
          type: string
          nullable: true
      additionalProperties: false

````